[Printing-architecture] ANNOUNCE: Foomatic 4.0.3 released!

Till Kamppeter till.kamppeter at gmail.com
Tue Sep 1 04:19:38 PDT 2009


Foomatic 4.0.3 is released and now available for download [1].

This release fixes several bugs and drops the foomatic-db-hpijs package.

As HPLIP ships CUPS-DDK-generated PPD files for some time and also added 
a CUPS Raster driver, we have decided to drop the foomatic-db-hpijs 
package as it is not maintained any more by HP and so the PPDs generated 
by it got out-of-date. PPDs for non-HP printers used with HPIJS are now 
generated by foomatic-db, via the driver entries "hpijs-pcl3", 
"hpijs-pcl5e", and "hpijs-pcl5c". For HP printers the new driver entry 
"hplip" was introduced to reference to the full HPLIP driver suite. The 
"hpijs" driver entry got dropped.

Under the bug fixes are a fix to make foomatic-rip working with LPRng, 
letting foomatic-rip convert PDF to PostScript with Poppler instead of 
Ghostscript (if Poppler is installed), fixes on the JCL option handling 
of foomatic-rip, and fixes in the IEEE-1284 device IDs in the 
Foomatic-generated PPD files.

Thanks to everyone who reported the bugs to us.

Have a lot of fun with the new Foomatic release!

    Till


[1]http://www.linuxfoundation.org/en/OpenPrinting/Database/Foomatic


More information about the Printing-architecture mailing list